
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>OpenStack keystone详解及调优 / iVAN</title>

    <meta name="description" content="OpenStack keystone详解及调优 一.Keystone基本概念介绍User User即用户,他们代表可以通过keystone进行访问的人或程序.Users通过认证信息(credentials,如密码.API Keys等)进行验证. Tenant Tenant即租户,它是各个服务中的一些可以访问的资源集合.例如,在Nova中一个tenant可以是一些机器,在Swift和Glance中一个tenant可以是一些镜像存储,在Quantum中一个tenant可以是一些网络资源.Users默认的总是绑定到某些tenant上. Role R">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">OpenStack keystone详解及调优</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>一、Keystone基本概念介绍User<br />
User即用户，他们代表可以通过keystone进行访问的人或程序。Users通过认证信息（credentials，如密码、API Keys等）进行验证。</p>
<p>Tenant<br />
Tenant即租户，它是各个服务中的一些可以访问的资源集合。例如，在Nova中一个tenant可以是一些机器，在Swift和Glance中一个tenant可以是一些镜像存储，在Quantum中一个tenant可以是一些网络资源。Users默认的总是绑定到某些tenant上。</p>
<p>Role<br />
Role即角色，Roles代表一组用户可以访问的资源权限，例如Nova中的虚拟机、Glance中的镜像。Users可以被添加到任意一个全局的 或 租户内的角色中。在全局的role中，用户的role权限作用于所有的租户，即可以对所有的租户执行role规定的权限；在租户内的role中，用户仅能在当前租户内执行role规定的权限。</p>
<p>Service<br />
Service即服务，如Nova、Glance、Swift。根据前三个概念（User，Tenant和Role）一个服务可以确认当前用户是否具有访问其资源的权限。但是当一个user尝试着访问其租户内的service时，他必须知道这个service是否存在以及如何访问这个service，这里通常使用一些不同的名称表示不同的服务。在上文中谈到的Role，实际上也是可以绑定到某个service的。例如，当swift需要一个管理员权限的访问进行对象创建时，对于相同的role我们并不一定也需要对nova进行管理员权限的访问。为了实现这个目标，我们应该创建两个独立的管理员role，一个绑定到swift，另一个绑定到nova，从而实现对swift进行管理员权限访问不会影响到Nova或其他服务。</p>
<p>Endpoint<br />
Endpoint，翻译为“端点”，我们可以理解它是一个服务暴露出来的访问点，如果需要访问一个服务，则必须知道他的endpoint。因此，在keystone中包含一个endpoint模板（endpoint template，在安装keystone的时候我们可以在conf文件夹下看到这个文件），这个模板提供了所有存在的服务endpoints信息。一个endpoint template包含一个URLs列表，列表中的每个URL都对应一个服务实例的访问地址，并且具有public、private和admin这三种权限。public url可以被全局访问（如http://compute.example.com），private url只能被局域网访问（如http://compute.example.local），admin url被从常规的访问中分离。</p>
<p>二、keystone 的访问流程<br />
通俗的讲，token 是用户的一种凭证，需拿正确的用户名/密码向 Keystone 申请才能得到。如果用户每次都采用用户名/密码访问 OpenStack API，容易泄露用户信息，带来安全隐患。所以 OpenStack 要求用户访问其 API 前，必须先获取 token，然后用 token 作为用户凭据访问 OpenStack API。</p>
<p>以创建一个虚拟机（server）为例，结合上图简述下keystone在openstack的访问流程。</p>
<ul>
<li>用户Alice通过自己的户名和密码向keystone申请token，keystone认证用户名和密码后，返回token1</li>
<li>Alice通过token1发送keystone查询他所拥有的租户，keystone验证token1成功后，返回Alice的所有Tenant</li>
<li>Alice选择一个租户，通过用户名和密码申请token，keystone认证用户名、密码、tenant后，返回token2。（其实1、2步仅仅是为了查询tenant，如果已经知道tenant，可以忽略1、2步）</li>
<li>Alice通过token2发送创建server的请求，keystone验证token2(包括该token是否有效，是否有权限创建虚拟机等)成功后，然后再把请求下发到nova，最终创建虚拟机。</li>
</ul>
<p>1.获取临时Token<br />
我们知道要创建虚拟机，一定是某一租户下的用户来创建的，因此在创建之前用户要获取自己所能访问到的租户 （一个用户可以属于多个租户），要想获取用户能访问的所有租户需要从keystone获取一个不与任何租户相关联的临时Token. 我们可以使用keystone的标准REST API获取某一用户能访问的所有租户,注意这里不要在请求体中设置租户名。</p>
<p>本文转自d1net（转载）</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-28 18:53:20</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e9%95%9c%e5%83%8f/" title="镜像">镜像</a>, <a href="https://www.iamivan.net/tag/swift/" title="swift">swift</a>, <a href="https://www.iamivan.net/tag/api/" title="api">api</a>, <a href="https://www.iamivan.net/tag/openstack/" title="OpenStack">OpenStack</a>, <a href="https://www.iamivan.net/tag/service/" title="service">service</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>OpenStack keystone详解及调优的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvY7a8b.html" rel="bookmark">JVM的垃圾回收机制详解和调优&lowbar;Java编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章来源:matrix.org.cn 作者:ginger547 1.JVM的gc概述 gc即垃圾收集机制是指jvm用于释放那些不再使用的对象所占用的内存.java语言并不要求jvm有gc,也没有规定gc如何工作.不过常用的jvm都有gc,而且大多数gc都使用类似的算法管理内存和执行收集操作. 在充分理解了垃圾收集算法和执行过程后,才能有效的优化它的性能.有些垃圾收集专用于特殊的应用程序.比如,实时应用程序主要是为了避免垃圾收集中断,而大多数OLTP应用程序则注重整体效率.理解了应用程序的工作负荷			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7WEkaz.html" rel="bookmark">详解MySQL高可用MMM搭建方案及架构原理&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先来看看架构,如下图: 部署 1.修改hosts 在所有的服务器中执行相同的操作. vim /etc/hosts 192.168.137.10 master 192.168.137.20 backup 192.168.137.30 slave 192.168.137.40 monitor 2.添加mysql用户 只需要在所有的数据库端执行即可,监控端不需要. GRANT REPLICATION CLIENT ON *.* TO 'mmm_monitor'@'192.168.137.%' IDEN			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlRdAnz.html" rel="bookmark">详解Oracle的性能调优方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文将介绍几种Oracle调优的方法,包括调整内存分配.调整Library Cache.调整数据字典高速缓存等多种方法. Oracle是一个高性能数据库软件.用户可以通过参数的调整,达到性能的优化.性能优化主要分为两部分: 一是数据库管理员通过对系统参数的调整达到优化的目的: 二是开发人员通过对应用程序的优化达到调整的目的. 在此,仅就系统参数的调整进行探讨,而不涉及应用程序的优化.对系统参数的调整,可以分为以下几个部分: 1.调整内存分配 系统全局区(SGA)是一个分配给Oracle 包含Or			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgVgvmb.html" rel="bookmark">《Oracle高性能SQL引擎剖析：SQL优化与调优机制详解》一第一篇 执行计划</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第一篇 执行计划 执行计划是指示Oracle如何获取和过滤数据.产生最终结果集,是影响SQL语句执行性能的关键因素.我们在深入了解执行计划之前,首先需要知道执行计划是在什么时候产生的,以及如何让SQL引擎为语句生成执行计划. 在深入了解执行计划之前,我们先了解SQL语句的处理执行过程.当一条语句提交到Oracle后,SQL引擎会分为三个步骤对其处理和执行:解析(Parse).执行(Execute)和获取(Fetch),分别由SQL引擎的不同组件完成.SQL引擎的组件如图1-1所示. 1. SQL			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvr385M.html" rel="bookmark">《Oracle高性能SQL引擎剖析：SQL优化与调优机制详解》一2&period;5　执行计划中其他信息的含义</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.5 执行计划中其他信息的含义 通过DBMS_XPLAN输出执行计划,除了计划本身外,还可以获得一些其他信息帮助我们进一步分析执行计划及语句性能. 2.5.1 查询块和对象别名 在使用DBMS_XPLAN显示执行计划时,选择'ADVANCED'预定义格式作为参数或者加入'ALIAS'控制字符串,可以在输出中看到以下内容: Query Block Name / Object Alias (identified by operation id): -------------------------			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPBR70b.html" rel="bookmark">《Oracle高性能SQL引擎剖析：SQL优化与调优机制详解》一1&period;1　生成执行计划</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.1 生成执行计划 在Oracle中,任何一条语句在解析过程中都会生成一个唯一的数值标识,即SQL_ID.而同一条语句,在解析过程中,可能会因为执行环境的改变(例如某些优化参数被改变)而生成多个版本的游标,不同的游标会有不同的执行计划.每个游标都会按顺序赋予一个序列号,即CHILD_NUMBER,一条语句生成的第一个游标的CHILD_NUMBER为0:相应的,Oracle会为每个执行计划生成一个哈希值以作区分.而多个不同版本的游标,其执行计划可能会相同,也可能不同. 因此,我们可以知道,一条合			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3YqyWp.html" rel="bookmark">《Oracle高性能SQL引擎剖析：SQL优化与调优机制详解》一1&period;2　显示执行计划</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2 显示执行计划 我们现在知道,有三个途径可以获取查询计划:v$sql_plan.dba_hist_sql_plan和PLAN_TABLE.如果需要读取一条SQL语句的执行计划,就需要知道该条语句的SQL_ID,如果该语句存在多个游标或者执行计划,则还需要知道游标的CHILD_NUMBER或计划的哈希值(可选).而无论我们通过哪个途径来获取执行计划,显示方式主要是两种:语句查询和包DBMS_XPLAN显示. 1.2.1 通过查询语句显示计划 通过查询语句从一些视图里读出执行计划并作格式化输出			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvryK6M.html" rel="bookmark">Openstack Paste&period;ini 文件详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目录 目录 pasteini 配置文件详解 composite pipeline filter app DEFAULT server Request 被 pasteini 处理的流程 如何加载 pasteini 配置文件 factory 工厂函数 paste.ini 配置文件详解 paste.ini 文件的格式类似于INI格式,每个 Section 的格式均为 [type:name]. 这里重要的是理解几种不同 type 的 Section 的作用: composite [composite:m			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkm9yjb.html" rel="bookmark">OpenStack Heat AutoScaling详解及实例代码&lowbar;OpenStack</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				OpenStack Heat AutoScaling 一.背景 Openstack的Heat是在H版之后加入的组件,旨在创建一套业务流程,更轻松的管理一个集群.集群内的虚拟机可以作为一个整体,统一的为客户提供服务.Heat中把功能定义成资源,在Heat中会用到Nova,Neutron,Ceilometer等组件,这些都可以看成是资源,通过模板文件来描述,模板文件可以是yaml格式,也可以是json格式,一般是yaml格式. AutoScaling的概念最早出现在AWS,AutoScaling是一			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpn3Vrz.html" rel="bookmark" class="title">学 习 中 的 思 考</a>
					<div>
						学 习 中 的 思 考                                 海风   学习计算机知识常常让人陷入无知的恐惧中,过去打破沙堡问到底的精神在这里要有所节制了,我们把握好一个度的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpda94z.html" rel="bookmark" class="title">水晶报表合并模块大全</a>
					<div>
						水晶报表 如下所列的合并模块,可用于水晶报表版本 9,10,Visual Studio .NET 内嵌版水晶报表. ·水晶报表 9 ·水晶报表 10 ·Visual Studio .NET 2002  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQ5B0b.html" rel="bookmark" class="title">电子商务网站注册表单的可用性贴士</a>
					<div>
						几年前我在排名前87的在线零售站点上都注册了账户.我发现现在是时候重新审视这个问题了,自从大多数的电子商务站点使用账户注册以来,我在每个登记过程中发现至少有一处是可以提高的. 帐户注册的8个小贴士 几 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myr3Z4p.html" rel="bookmark" class="title">思科局域网交换机维护与配置技巧</a>
					<div>
						局域网交换机的概述 局域网交换机将人们从传统意义上共享的HUB式局域网发展到更广阔的空间.以 Cisco 公司出品的Catalyst 5000 系列局域网交换机为例,它包括一个集成的交换硬件结构,支持 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNW3mb.html" rel="bookmark" class="title">金山毒霸 AV终结者完美解决方案</a>
					<div>
						&quot;AV终结者&quot;中毒感染现象 1.生成很多8位数字或字母随机命名的病毒程序文件,并在电脑开机时自动运行. 2.绑架安全软件,中毒后会发现几乎所有杀毒软件,系统管理工具,反间谍软件不能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKlQ9p.html" rel="bookmark" class="title">使用EasyMock更轻松地进行测试</a>
					<div>
						用开放源码 mock 对象框架模拟接口.类和异常 测试驱动开发是软件开发的重要部分.如果代码不进行测试,就是不可靠的.所有代码都必须测试,而且理想情况下应该在编写代码之前编写测试.但是,有些东西容易测 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKO55M.html" rel="bookmark" class="title">java生成一个简易的计算器</a>
					<div>
						下面的代码是生成一个简易的计算器. Calculator import java.awt.*; import java.awt.event.*; import javax.swing.*; class ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ynOvz.html" rel="bookmark" class="title">什么是JRuby</a>
					<div>
						作为一个Java程序员,你不要想在产品中使用Ruby直到你能够让它和存在的Java应用程序和类库进行交互,而这些程序和类库之中能够支持Ruby的很多种类的基本功能.JRuby,JVM下的一个开源Rub ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPavQM.html" rel="bookmark" class="title">反模式读书笔记之实现主体架构（二）</a>
					<div>
						1引言 有一名专业的规划师(Jack)说过,一名工程师的20%时间应该用于做规划.随着我们经验的增加,对这一论断的相信程度也在增加.通过规划来很好的组织工作,生产率和效率都会得到极大的提高.不幸的是很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDA930b.html" rel="bookmark" class="title">MSsql数据库如何实现分页存储的代码实例</a>
					<div>
						reate PROCEDURE Sp_Conn_Sort ( @tblName   varchar(255),       -- 表名 @strGetFields varchar(1000) = '* ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNvo8b.html" rel="bookmark" class="title">CSS居中效果之transform的使用</a>
					<div>
						  简单有效,同时支持可变高度.为内容指定带有厂商前缀的transform: translate(-50%,-50%)和top: 50%; left: 50%;样式就可以让内容块居中. CSS Cod ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7keqdz.html" rel="bookmark" class="title">Word 2007自动调整表格文字大小</a>
					<div>
						Word 2007自动调整表格文字大小 step1:选中目标单元格-右键-表格属性 step2:表格属性-选项 step3:单元格选项-适应文字					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAr0vJp.html" rel="bookmark" class="title">win7资源管理器菜单栏怎样隐藏</a>
					<div>
						  有时候会演示win7 64位旗舰版操作系统中的资源管理器给别人看,这时就需要将桌面图标尽可能地放大,将其暂时用不到的菜单栏或者任务栏给隐藏掉,这样就能显示更多的内容给别人看来看.因此懂得删除掉文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EADKM.html" rel="bookmark" class="title">如何修复丢失的kernel32&period;dll文件</a>
					<div>
						造成kernel32.dll丢失的情况一般都是文件被病毒文件损坏或者被误删除操作造成的.但是这种情况解决方法很贱的.只需要在重新下载kernel32.dll文件即可修复故障.下载好kernel32.d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7AqQz.html" rel="bookmark" class="title">&lbrack;ExtJS5学习笔记&rsqb;第二十二节 Extjs5中使用beforeLabelTpl配置给标签增加必填选项星号标志</a>
					<div>
						官方例子: http://docs.sencha.com/extjs/5.0/apidocs/#!/api/Ext.form.Labelable-cfg-beforeLabelTpl 本文作者:sus ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoG7Pb.html" rel="bookmark" class="title">virtualalloc申请大于4G的内存</a>
					<div>
						问题描述 virtualalloc申请大于4G的内存 RT,怎么申请?貌似最大只能4G吧.64位操作系统申请一个4GB以上的内存. 解决方案 https://msdn.microsoft.com/en ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZqkNM.html" rel="bookmark" class="title">easyui-easyUI的dategrid获取期中下拉选的值</a>
					<div>
						问题描述 easyUI的dategrid获取期中下拉选的值 easyUI的dategrid中设置了一个下拉选,如何能够让dategrid设置的 formatter:function(valuerec) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKen0z.html" rel="bookmark" class="title">安全服务，从&OpenCurlyDoubleQuote;被动应对&rdquo;到&OpenCurlyDoubleQuote;主动防范&rdquo;</a>
					<div>
						本文讲的是安全服务,从&quot;被动应对&quot;到&quot;主动防范&quot;,[IT168 资讯]随着信息化的深入以及SaaS(软件就是服务)理念的传播,IT服务的前景相当广阔,并大有不断 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nOQjz.html" rel="bookmark" class="title">MVC5 新建视图问题</a>
					<div>
						问题描述 开发工具用的是VS2015,当删除视图然后新建视图的时候就会爆这个问题,然后页面就不能访问了我这个Index视图删了然后重建视图就出现这个问题了然后页面不能访问了 解决方案 解决方案二:现在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5yddp.html" rel="bookmark" class="title">msaa- MS Active Accessibility 接口技术问题</a>
					<div>
						问题描述 MS Active Accessibility 接口技术问题 #include #include #include #include &quot;atlbase.h&quot; #inclu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWZjjM.html" rel="bookmark" class="title">观山湖区成为贵阳市呼叫中心产业聚集区</a>
					<div>
						记者昨日从观山湖区有关部门获悉,截至目前,观山湖区累计开工建设呼叫座席36600个,占全市22.71%,签约座席25100个,占全市24.76%,已成为贵阳市服务外包及呼叫中心产业发展的重要聚集区.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0ndGJz.html" rel="bookmark" class="title">在C&num;里如何实现 省 市</a>
					<div>
						问题描述 大家肯定都知道在申请QQ的时候在申请页面的中间会有2个下拉框,第一个下拉框是选省的,第二个下拉框是选相应的省对应的是市的请问这个功能是怎么实现的啊?? 解决方案 解决方案二:这个简单,用Gr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAjdOb.html" rel="bookmark" class="title">JAVA 数据转换 大全</a>
					<div>
						java string转long parseLong(String s) 将 string 参数分析为有符号十进制 long. long ID = Long.parseLong(id) long SE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJE59p.html" rel="bookmark" class="title">如何预防个人信息泄露？这八大注意你不得不看！</a>
					<div>
						你要买房吗?你要贷款吗?生活中我们经常会接到这样的骚扰电话,时下公民信息泄露严重.昨日下午,广东省公安厅召开&quot;安网1号&quot;打击侵犯公民个人信息专案行动新闻发布会,通报称,广东省公安厅 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44009z.html" rel="bookmark" class="title">网站设计的思考网页版面布局的原理</a>
					<div>
						设计首页的第一步是设计版面布局.就象传统的报刊杂志编辑一样,我们将网页看作一张报纸,一本杂志来进行排版布局.虽然动态网页技术的发展使得我们开始趋向于学习场景编剧,但是固定的网页版面设计基础依然是必须学 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYn8Ab.html" rel="bookmark" class="title">Java获取此次请求URL以及服务器根路径的方法&lowbar;java</a>
					<div>
						本文介绍了Java获取此次请求URL以及获取服务器根路径的方法,并且进行举例说明,感兴趣的朋友可以学习借鉴下文的内容. 一. 获取此次请求的URL String requestUrl = reques ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmkJRp.html" rel="bookmark" class="title">如何将rtf格式的文件插入到TX Text Contorl中去</a>
					<div>
						问题描述 我现在在做一个电子病历控件我想把rtf格式的文件(rtf流是存储在数据库中间的)插入到TXTextContorl中去.期待回应!O(∩_∩)O谢谢 解决方案 解决方案二:TXTextCont ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqW4Bkz.html" rel="bookmark" class="title">ACM SIGKDD主席裴健专访：华人学者在数据挖掘领域的成就有目共睹</a>
					<div>
						雷锋网 AI科技评论按:近年来,越来越多的国人站上了世界舞台,不管是在学术界,还是在工业界,我们看到一股越来越强大的中华力量. 近日,加拿大西蒙弗雷泽大学计算机学院裴健教授当选ACM SIGKDD新一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlm8oqp.html" rel="bookmark" class="title">高分求高手，iis 发布的网站连不上数据库。</a>
					<div>
						问题描述 &lt;connectionStrings&gt;&lt;addname=&quot;GridMarketEntities&quot;connectionString=&quot;metad ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLB5PLb.html" rel="bookmark" class="title">比亚迪金融公司计划延后</a>
					<div>
						本报讯(记者冷宇)昨天,比亚迪发布公告称,其与法国设备租赁总公司(下称&quot;CGL&quot;)去年签署的&lt;关于设立比亚迪汽车金融有限公司的合资合同&gt;(下称&quot;合资合同&qu ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
